##约定大于配置，请勿重复造轮
server:                                                #服务端口
  port: 8083
##spring----------
spring:
  application:
    name: ailt
  datasource:
    type: com.zaxxer.hikari.HikariDataSource
    #url: jdbc:h2:./test;AUTO_SERVER=TRUE              #连接池Database 嵌入模式：jdbc:h2:~/test-jooq  FILE_LOCK=SOCKET MODE=MySQL;;AUTO_SERVER=TRUE
#    url: jdbc:h2:./test;MODE=MySQL;AUTO_SERVER=TRUE
#    username: sa
#    password:
#    hikari:
#      driver-class-name: org.h2.Driver
    url: jdbc:mariadb://173.249.207.93:3306/yx
    username: root
    password: test000000
    hikari:
      driver-class-name: org.mariadb.jdbc.Driver
#      driver-class-name: org.h2.Driver

#    url: jdbc:postgresql://192.168.0.123:5434/ailt_0611
#    username: postgres
#    password: mysecretpassword
#    hikari:
#      driver-class-name: org.postgresql.Driver

  jackson:
    date-format: yyyy-MM-dd HH:mm:ss
    time-zone: Asia/Shanghai
  mail:
    #smtp服务主机  qq邮箱则为smtp.qq.com
    host: smtp.qcloudmail.com
    port: 465
    #服务协议
    protocol: smtp
    # 编码集
    default-encoding: UTF-8
    #发送邮件的账户
    username: ic@is.plus
    #授权码
    password: 365daydayUP
    test-connection: true
    properties:
      mail:
        smtp:
          auth: true
          ssl:
            enable: true
          starttls:
            enable: true
            required: true
#    serialization:
#      fail-on-empty-beans: false
#    deserialization:
#      FAIL_ON_UNKNOWN_PROPERTIES: false
#  h2:
#    console:
#      enabled: true                                    #开启h2数据库的浏览器管理界面
#      settings:
#        web-allow-others: true
#        trace: true                                    #是否可以远程web
#      #path: /h2-console                               #h2浏览器管理访问路径，默认：/h2-console
#  sql:
#    init:
#      mode: never                                      ##加载脚本datasource.initialize已弃用,spring.sql.init.mode=never/always
#      continue-on-error: true                          #初始化错误，继续执行
#      encoding: utf-8                                  #加载sql文件的编码连接池ue                            #初始化错误，继续执行
#      data-locations: classpath:/sql/data-h2.sql
#      schema-locations: classpath:/sql/schema-h2.sql   #spring boot 默认启动使用springJDBC初始化数据脚本, 加载类路径下的 schema-${platform}.sql \ data-${platform}.sql数据
#      platform: h2
  #elasticsearch:
    #jest:
      #uris: http://loalhost:9200
      #read-timeout: 1000
# 多数据源
# app:
#  datasource:
#    type: com.zaxxer.hikari.HikariDataSource
#    jdbcUrl: jdbc:h2:~/test-jooq;AUTO_SERVER=TRUE
#    username: sa
#    password:
#    ##连接池
#    hikari:
#      driver-class-name: org.h2.Driver

mybatis:
  configuration:
    call-setters-on-nulls: true
    map-underscore-to-camel-case: false

logging:
  level:
    root: info
    org.jooq: info
    org.springframework.amqp: info
    org.mybatis: info
    org.mybatis.dynamic.sql: debug
    jj.tech.paolu: info
    org.fisco.bcos.sdk: error
    
#bcn
### Required, node's {ip:port} to connect.
system:
  peers: 192.168.0.180:20200
  ### Required
  groupId: 1
  ### Optional. Default will search conf,config,src/main/conf/src/main/config
  certPath: conf,src/main/resources/conf
  ### Optional. If don't specify a random private key will be used
  hexPrivateKey: '179b59aec0b9ea33ce6bcdc82a5fd343199bcd0be129ffe1d047a015c3dd0166'
  blockChainTablePrefix: 'SZTD_0611_1'
  blockChainProviderName: '深中通道-开发环境0611_1'
  syn2BlockConcurrentThreadCount: 100 #向区块链同步目录数据时的并发线程数，区块链服务器性能越好，此值可越高
  ### Optional. Please fill this address if you want to use related service
  contract:
    applicationAddress: '0x0685f9ec997695f3168e45363a2070fe7579426b'
    ### Optional. Please fill this address if you want to use related service
    fileAddress: '0x108d01a27e5426e28af3e0c237f8605ce92ee43e'
    ### Optional. Please fill this address if you want to use related service
    archivesFileAddress: '0x3a78f6ef2c8729cfd36a50fd9a233498b5fdfa3b'
    ### Optional. Please fill this address if you want to use related service
    catalogAddress: '0xadc69ae2af98cb20dadadbe106fccb4412f1c750'
    ### Optional. Please fill this address if you want to use related service
    providerAddress: '0x8b97b1a800789a0c060edc98a25a6ae8e88fcf53'
    readingRecordAddress: '0x9174823be980132fd6e14f5d74294c5830561f1d'
    decryptionRecordAddress: '0x790143aa4a2f1162b81f343c825b3d42a101efc7'
    downloadRecordAddress: '0x70296f76c871599cfb9940a7550f53aba555be00'
    certRecordAddress: '0x04106399e9d317d4cb0dc606a7201e203e1cffe7'
    createTableAddress: '0x1e5cbd200cb82fec444406772153de22a3502ba3'
    utilsAddress: '0xd0a601e191178f44e7f226d0ab4124ad440dfff2'
    orgCertAddress: '0x1a6d91b6a163040ca76fbf860fa968dbff35a264'
    personCertAddress: '0x4ab8b3e641774802217545295482272ecaa1ef54'

weibai:
  appKey: SZTD00898
  appSecret: 16E58F6750C246818FBD84EAEF3FC998
  #getSortTreeUrl: http://api.weepal.cn/EAMS-XAPI/api/v1/sztd/getSortTree
  #getCatalogUrl: http://api.weepal.cn/EAMS-XAPI/api/v1/sztd/getCatalog
  #getAnnexUrl: http://api.weepal.cn/EAMS-XAPI/api/v1/sztd/getAnnex
  #getSortSubUrl: http://api.weepal.cn/EAMS-XAPI/api/v1/sztd/getSortSub
  getSortTreeUrl: http://127.0.0.1:8083/op/wb/getSortTree
  getCatalogUrl: http://127.0.0.1:8083/op/wb/getCatalog
  getAnnexUrl: http://127.0.0.1:8083/op/wb/getAnnex
  getSortSubUrl: http://127.0.0.1:8083/op/wb/getSortSub
